Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class LineSymbolizer

    java.lang.Object
      org.deegree.graphics.sld.AbstractSymbolizer
          org.deegree.graphics.sld.LineSymbolizer

All Implemented Interfaces:
  Marshallable, Symbolizer

    public class LineSymbolizer

extends AbstractSymbolizer
implements Marshallable

Used to render a "stroke" along a linear geometry. If a point geometry is used, it should be interpreted as a line of zero length and two end caps. If a polygon is used, then its closed outline is used as the line string (with no end caps). A missing Geometry element selects the default geometry. A missing Stroke element means that nothing will be plotted.

----------------------------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Katharina Lupp

Field Summary

Fields inherited from class org.deegree.graphics.sld.AbstractSymbolizer
`geometry, maxDenominator, minDenominator, responsibleClass`

Constructor Summary
`LineSymbolizer()` Creates a new LineSymbolizer object.
`LineSymbolizer(Stroke stroke, Geometry geometry, double min, double max)` constructor initializing the class with the LineSymbolizer
`LineSymbolizer(Stroke stroke, Geometry geometry, String responsibleClass, double min, double max)` constructor initializing the class with the LineSymbolizer

Method Summary
`String` | `exportAsXML()` exports the content of the LineSymbolizer as XML formated String
`Stroke` | `getStroke()` A Stroke allows a string of line segments (or any linear geometry) to be rendered.
`void` | `setStroke(Stroke stroke)` sets the

Methods inherited from class org.deegree.graphics.sld.AbstractSymbolizer
`getGeometry, getMaxScaleDenominator, getMinScaleDenominator, getResponsibleClass, setGeometry, setMaxScaleDenominator, setMinScaleDenominator, setResponsibleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineSymbolizer

    public LineSymbolizer()

  Creates a new LineSymbolizer object.

### LineSymbolizer

    LineSymbolizer(Stroke stroke,
                   Geometry geometry,
                   double min,
                   double max)

  constructor initializing the class with the LineSymbolizer

  Parameters:
    `stroke` -
    `geometry` -
    `min` -
    `max` -

### LineSymbolizer

    LineSymbolizer(Stroke stroke,
                   Geometry geometry,
                   String responsibleClass,
                   double min,
                   double max)

  constructor initializing the class with the LineSymbolizer

  Parameters:
    `stroke` -
    `geometry` -
    `responsibleClass` -
    `min` -
    `max` -

Method Detail

### getStroke

    public Stroke getStroke()

  A Stroke allows a string of line segments (or any linear geometry) to be rendered. There are three basic types of strokes: solid Color, GraphicFill (stipple), and repeated GraphicStroke. A repeated graphic is plotted linearly and has its graphic symbol bended around the curves of the line string. The default is a solid black line (Color "#000000").

  Returns:
    the Stroke

### setStroke

    public void setStroke(Stroke stroke)

  sets the

  Parameters:
    `stroke` - the Stroke

### exportAsXML

    public String exportAsXML()

  exports the content of the LineSymbolizer as XML formated String

  Specified by:
    `exportAsXML` in interface `Marshallable`
  Returns:
    xml representation of the LineSymbolizer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org